Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 7371)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 7414)
@@ -3031,5 +3221,7 @@
 	from_values.id = "from_values_"+ID;
 	from_values.type = "HIDDEN";
-	from_values.value = info_msg.from.full; //Veio do IMAP, sem images nem links.
+    if(info_msg.from){
+    	from_values.value = info_msg.from.full; //Veio do IMAP, sem images nem links.
+    }
 
 	var local_message = document.createElement("INPUT");
@@ -3039,5 +3231,7 @@
 	local_message.value = (info_msg.local_message)?"1":"0";
 
-	tr1.appendChild(td1);
+    if(info_msg.from){
+	   tr1.appendChild(td1);
+    }
 	tr1.appendChild(from);
 	tr1.appendChild(from_values);
@@ -5126,4 +5320,10 @@
 
 function build_quota(data){
+    //MAILARCHIVE
+    // se for a pasta de mensagens locais
+    if(proxy_mensagens.is_local_folder(current_folder)) {
+        return;        
+    }
+
 	id = "content_quota";
 	q_limit = data['quota_limit'];
@@ -5466,9 +5666,16 @@
 		((expresso_offline)?" ":'<span class="message_options_export"><span ' + change_font_color + ' title="'+get_lang("Export")+'" class="message_options" onclick="proxy_mensagens.export_all_messages()">'+get_lang("Export")+'</span></span>') +
 		((expresso_offline)?" ":'<span class="message_options_import"><span ' + change_font_color + ' title="'+get_lang("Import")+'" class="message_options" onclick="import_window()">'+get_lang("Import")+'</span></span>');
-	if(preferences.use_local_messages==1 && !expresso_offline)
-		if(proxy_mensagens.is_local_folder(current_folder))
-			span_options.innerHTML += '&nbsp; <span id="localOption" ' + change_font_color + ' title="'+get_lang("Unarchive")+'" class="message_options" onclick="expresso_local_messages.unarchive_msgs(\''+folder+'\',null)">'+get_lang("Unarchive")+'</span>';
-		else
-			span_options.innerHTML += '&nbsp; <span id="localOption" ' + change_font_color + ' title="'+get_lang("Archive")+'" class="message_options" onclick="archive_msgs(\''+folder+'\',null)">'+get_lang("Archive")+'</span>';
+
+    //Link arquivar e desarquivar com ação
+    //MAILARCHIVER
+    if(preferences.use_local_messages==1){
+        if(expresso_mail_archive.enabled){
+           if(proxy_mensagens.is_local_folder(current_folder))//Unarchive link
+             span_options.innerHTML += '&nbsp; <span title="'+get_lang("Unarchive")+'" class="message_options" onclick="expresso_mail_archive.unarchieve(\''+folder+'\', null, null);">'+get_lang("Unarchive")+'</span>';
+           else//Archive link                 
+             span_options.innerHTML += '&nbsp; <span title="'+get_lang("Archive")+'" class="message_options" onclick="archive_msgs(\''+folder+'\',null,null)">'+get_lang("Archive")+'</span>';
+        }
+    }
+
 	if (use_spam_filter) {
 		if ( current_folder == 'INBOX'+cyrus_delimiter+'Spam' )	{
@@ -5487,4 +5694,7 @@
 		span_R.appendChild(span_D);
 	}
+    
+    var answer = '<span ' + change_font_color + ' id="span_flag_ANSWERED" class="'+(search_box_type == 'ANSWERED' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("title_answered")+'" onclick="if(\'ANSWERED\' == \''+search_box_type+'\') return false;sort_box(\'ANSWERED\',\''+sort_box_type+'\')">'+get_lang("l_answered")+'</span>, ';
+
 	span_D.innerHTML =
    		 get_lang("List")+': '+
@@ -5492,5 +5702,5 @@
    	'<span ' + change_font_color + ' id="span_flag_UNSEEN" class="'+(search_box_type == 'UNSEEN' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_unseen")+'" onclick="if(\'UNSEEN\' == \''+search_box_type+'\') return false;sort_box(\'UNSEEN\',\''+sort_box_type+'\')">'+get_lang("l_unseen")+'</span>, '+
   	'<span ' + change_font_color + ' id="span_flag_SEEN" class="'+(search_box_type == 'SEEN' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_seen")+'" onclick="if(\'SEEN\' == \''+search_box_type+'\') return false;sort_box(\'SEEN\',\''+sort_box_type+'\')">'+get_lang("l_seen")+'</span>, '+
-   	'<span ' + change_font_color + ' id="span_flag_ANSWERED" class="'+(search_box_type == 'ANSWERED' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("title_answered")+'" onclick="if(\'ANSWERED\' == \''+search_box_type+'\') return false;sort_box(\'ANSWERED\',\''+sort_box_type+'\')">'+get_lang("l_answered")+'</span>, '+
+   	answer+
    	'<span ' + change_font_color + ' id="span_flag_FLAGGED" class="'+(search_box_type == 'FLAGGED' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_important")+'" onclick="if(\'FLAGGED\' == \''+search_box_type+'\') return false;sort_box(\'FLAGGED\',\''+sort_box_type+'\')">'+get_lang("l_important")+'</span>&nbsp;&nbsp;';
 	draw_paging(num_msgs);
